### Method

# EDataServer OAuth2Services add

since: 3.28

#### Declaration [src]

    void
    e_oauth2_services_add (
      EOAuth2Services* services,
      EOAuth2Service* service
    )

#### Description [src]

Adds the `service` to the list of known OAuth2 services into `services`. It also adds a reference to `service`.

Available since: 3.28

#### Parameters

`service`

  Type: `EOAuth2Service`

  An `EOAuth2Service` to add.

  The data is owned by the caller of the method.